


function MusicPlayerOptionsFrame_OnLoad()
	this:RegisterEvent("ADDON_LOADED");
	PanelTemplates_SetNumTabs(this, 3);
	tinsert(UISpecialFrames, "MusicPlayerOptionsFrame");
end


-- OnEvent event
function MusicPlayerOptionsFrame_OnEvent(event)

	-- Check the current event
	if (event == "ADDON_LOADED" and arg1 == "MusicPlayer") then
		-- Initialize the options frame
		MusicPlayerOptionsFrame_Initialize();
	end

end

-- OnShow event
function MusicPlayerOptionsFrame_OnShow()
end

-- OnHide event
function MusicPlayerOptionsFrame_OnHide()
end


-- Checkbuttons OnClick event
function MusicPlayerOptionsCheckButton_OnClick()

	-- Check if the checkbutton is checked or not
	if (this:GetChecked()) then
		PlaySound("igMainMenuOptionCheckBoxOff");
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
	end
	
	-- Get the ID of the checkbutton
	local checkButtonID = this:GetID();
		
	-- Check which checkbutton was clicked
	if (checkButtonID == 1) then
		MusicPlayerFrameOptions.showFrame = this:GetChecked();
	elseif (checkButtonID == 2) then
		MusicPlayerFrameOptions.lock = this:GetChecked();
	elseif (checkButtonID == 3) then
		MusicPlayerFrameOptions.ShowSpam = this:GetChecked();
	elseif (checkButtonID == 4) then
		MusicPlayerFrameOptions.PlayWhenFinished = this:GetChecked();
	elseif (checkButtonID == 5) then
		MusicPlayerFrameOptions.StatusBar = this:GetChecked();
	end	


	-- Update the display
	MusicPlayerFrame_Update();

end


function MusicPlayerOptionsFramePlaylistLocDropDown_OnClick()

	-- Save the selected option
	UIDropDownMenu_SetSelectedValue(MusicPlayerOptionsFrame_PlaylistLocDropDown, this.value);
	MusicPlayerFrameOptions.PlaylistLoc = this.value;

	MusicPlayerFrame_Update();

end


function MusicPlayerOptionsFrame_WhenFinished_DropDown_OnClick()

	-- Save the selected option
	UIDropDownMenu_SetSelectedValue(MusicPlayerOptionsFrame_WhenFinished_DropDown, this.value);
	MusicPlayerFrameOptions.WhenFinished = this.value;
	MP_WhenFinished = this.value;
end


function MusicPlayerOptionsFrame_FrameStrataDropDown_OnClick()

	-- Save the selected option
	UIDropDownMenu_SetSelectedValue(MusicPlayerOptionsFrame_FrameStrataDropDown, this.value);
	MusicPlayerFrameOptions.PlayerFrameStrata = this.value;

	MusicPlayerFrame_Update();
end


--------------------------------------------------------------------------------------------------
-- Initialize functions
--------------------------------------------------------------------------------------------------

-- Initialize the options frame
function MusicPlayerOptionsFrame_Initialize()

	-- Initialize the options checkbutton
	MusicPlayerOptionsFrameShowFrameCheckButtonText:SetText(MUSICPLAYER_OPTIONS_SHOW_FRAME);
	MusicPlayerOptionsFrameLockCheckButtonText:SetText(MUSICPLAYER_OPTIONS_LOCK);
	MusicPlayerOptionsFrameShowSpamCheckButtonText:SetText(MUSICPLAYER_OPTIONS_SHOWSPAM);

	MusicPlayerOptionsFramePlayWhenFinishedCheckButtonText:SetText(MUSICPLAYER_OPTIONS_PLAYWHENFINISHED);
	MusicPlayerOptionsFrameStatusBarCheckButtonText:SetText(MUSICPLAYER_OPTIONS_STATUSBAR);

	MusicPlayerOptionsFrame_SelectColor_Text_ButtonText:SetText(MUSICPLAYER_TEXT_ColorButton_Text);
	MusicPlayerOptionsFrame_SelectColor_BG_ButtonText:SetText(MUSICPLAYER_TEXT_ColorButton_BG);
	MusicPlayerOptionsFrame_SelectColor_Borders_ButtonText:SetText(MUSICPLAYER_TEXT_ColorButton_Borders);
	MusicPlayerOptionsFrame_SelectColor_Bars_ButtonText:SetText(MUSICPLAYER_TEXT_ColorButton_Bars);

	-- Initialize the options dropdown menus
	UIDropDownMenu_Initialize(MusicPlayerOptionsFrame_PlaylistLocDropDown, MusicPlayerFramePlaylistLocDropDown_Initialize);
	UIDropDownMenu_SetWidth(150, MusicPlayerOptionsFrame_PlaylistLocDropDown);

	if (not MusicPlayerFrameOptions.WhenFinished) then
		MusicPlayerFrameOptions.WhenFinished = 11;
	end

	UIDropDownMenu_Initialize(MusicPlayerOptionsFrame_WhenFinished_DropDown, MusicPlayerOptionsFrame_WhenFinished_DropDown_Initialize);
	UIDropDownMenu_SetWidth(80, MusicPlayerOptionsFrame_WhenFinished_DropDown);

	UIDropDownMenu_Initialize(MusicPlayerOptionsFrame_FrameStrataDropDown, MusicPlayerOptionsFrame_FrameStrataDropDown_Initialize);
	UIDropDownMenu_SetWidth(80, MusicPlayerOptionsFrame_FrameStrataDropDown);
	MusicPlayerOptionsFrame_Update();
end

function MusicPlayerFramePlaylistLocDropDown_Initialize()

	local info;
	
	info = {};
	info.text = MUSICPLAYER_ABOVE;
	info.func = MusicPlayerOptionsFramePlaylistLocDropDown_OnClick;
	info.value = 1;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_BELOW;
	info.func = MusicPlayerOptionsFramePlaylistLocDropDown_OnClick;
	info.value = 2;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_LEFT;
	info.func = MusicPlayerOptionsFramePlaylistLocDropDown_OnClick;
	info.value = 3;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_TOPLEFT;
	info.func = MusicPlayerOptionsFramePlaylistLocDropDown_OnClick;
	info.value = 4;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_BOTTOMLEFT;
	info.func = MusicPlayerOptionsFramePlaylistLocDropDown_OnClick;
	info.value = 5;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_RIGHT;
	info.func = MusicPlayerOptionsFramePlaylistLocDropDown_OnClick;
	info.value = 6;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_TOPRIGHT;
	info.func = MusicPlayerOptionsFramePlaylistLocDropDown_OnClick;
	info.value = 7;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_BOTTOMRIGHT;
	info.func = MusicPlayerOptionsFramePlaylistLocDropDown_OnClick;
	info.value = 8;
	UIDropDownMenu_AddButton(info);
end


function MusicPlayerOptionsFrame_WhenFinished_DropDown_Initialize()

	local info;
	
	info = {};
	info.text = MUSICPLAYER_PLAYNEXT;
	info.func = MusicPlayerOptionsFrame_WhenFinished_DropDown_OnClick;
	info.value = 11;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_RANDOM;
	info.func = MusicPlayerOptionsFrame_WhenFinished_DropDown_OnClick;
	info.value = 12;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_LOOP;
	info.func = MusicPlayerOptionsFrame_WhenFinished_DropDown_OnClick;
	info.value = 13;
	UIDropDownMenu_AddButton(info);
end

function MusicPlayerOptionsFrame_FrameStrataDropDown_Initialize()
	local info;
	
	info = {};
	info.text = MUSICPLAYER_TEXT_LOW;
	info.func = MusicPlayerOptionsFrame_FrameStrataDropDown_OnClick;
	info.value = 1;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_TEXT_MEDIUM;
	info.func = MusicPlayerOptionsFrame_FrameStrataDropDown_OnClick;
	info.value = 2;
	UIDropDownMenu_AddButton(info);

	info = {};
	info.text = MUSICPLAYER_TEXT_HIGH;
	info.func = MusicPlayerOptionsFrame_FrameStrataDropDown_OnClick;
	info.value = 3;
	UIDropDownMenu_AddButton(info);
end

--------------------------------------------------------------------------------------------------
-- Display functions
--------------------------------------------------------------------------------------------------

-- Update the display
function MusicPlayerOptionsFrame_Update()

	-- Update the text for the current frameloc
	if (MusicPlayerFrameOptions.PlaylistLoc == 1) then
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_ABOVE;
	elseif (MusicPlayerFrameOptions.PlaylistLoc == 2) then
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_BELOW;
	elseif (MusicPlayerFrameOptions.PlaylistLoc == 3) then
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_LEFT;
	elseif (MusicPlayerFrameOptions.PlaylistLoc == 4) then
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_TOPLEFT;
	elseif (MusicPlayerFrameOptions.PlaylistLoc == 5) then
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_BOTTOMLEFT;
	elseif (MusicPlayerFrameOptions.PlaylistLoc == 6) then
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_RIGHT;
	elseif (MusicPlayerFrameOptions.PlaylistLoc == 7) then
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_TOPRIGHT;
	elseif (MusicPlayerFrameOptions.PlaylistLoc == 8) then
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_BOTTOMRIGHT;
	else
		MusicPlayerFrameOptions.PlaylistLoc = 2;
		MUSICPLAYER_DROPDOWNTEXT = MUSICPLAYER_BELOW;
	end

	if (MusicPlayerFrameOptions.WhenFinished == 11) then
		MUSICPLAYER_DROPDOWNTEXT3 = MUSICPLAYER_PLAYNEXT;
	elseif (MusicPlayerFrameOptions.WhenFinished == 12) then
		MUSICPLAYER_DROPDOWNTEXT3 = MUSICPLAYER_RANDOM;
	elseif (MusicPlayerFrameOptions.WhenFinished == 13) then
		MUSICPLAYER_DROPDOWNTEXT3 = MUSICPLAYER_LOOP;
	end


	if (MusicPlayerFrameOptions.PlayerFrameStrata) then
		if (MusicPlayerFrameOptions.PlayerFrameStrata == 1) then
			MusicPlayer_PlayerFrame:SetFrameStrata("LOW");
			MUSICPLAYER_DROPDOWNTEXT4 = MUSICPLAYER_TEXT_LOW;
		elseif (MusicPlayerFrameOptions.PlayerFrameStrata == 2) then
			MusicPlayer_PlayerFrame:SetFrameStrata("MEDIUM");
			MUSICPLAYER_DROPDOWNTEXT4 = MUSICPLAYER_TEXT_MEDIUM;
		elseif (MusicPlayerFrameOptions.PlayerFrameStrata == 3) then
			MusicPlayer_PlayerFrame:SetFrameStrata("HIGH");
			MUSICPLAYER_DROPDOWNTEXT4 = MUSICPLAYER_TEXT_HIGH;
		end
	end

	-- Update the checkbuttons values
	MusicPlayerOptionsFrameShowFrameCheckButton:SetChecked(MusicPlayerFrameOptions.showFrame);
	MusicPlayerOptionsFrameLockCheckButton:SetChecked(MusicPlayerFrameOptions.lock);
	MusicPlayerOptionsFrameShowSpamCheckButton:SetChecked(MusicPlayerFrameOptions.ShowSpam);
	MusicPlayerOptionsFramePlayWhenFinishedCheckButton:SetChecked(MusicPlayerFrameOptions.PlayWhenFinished);
	MusicPlayerOptionsFrameStatusBarCheckButton:SetChecked(MusicPlayerFrameOptions.StatusBar);

	UIDropDownMenu_SetSelectedValue(MusicPlayerOptionsFrame_PlaylistLocDropDown, MusicPlayerFrameOptions.PlaylistLoc);
	UIDropDownMenu_SetText(MUSICPLAYER_DROPDOWNTEXT, MusicPlayerOptionsFrame_PlaylistLocDropDown);

	UIDropDownMenu_SetSelectedValue(MusicPlayerOptionsFrame_WhenFinished_DropDown, MusicPlayerFrameOptions.WhenFinished);
	UIDropDownMenu_SetText(MUSICPLAYER_DROPDOWNTEXT3, MusicPlayerOptionsFrame_WhenFinished_DropDown);

	UIDropDownMenu_SetSelectedValue(MusicPlayerOptionsFrame_FrameStrataDropDown, MusicPlayerFrameOptions.PlayerFrameStrata);
	UIDropDownMenu_SetText(MUSICPLAYER_DROPDOWNTEXT4, MusicPlayerOptionsFrame_FrameStrataDropDown);

	MusicPlayerOptionsFrame_TabSwitch();
end

function MusicPlayerOptionsFrame_TabSwitch()
	MusicPlayerOptionsFrame_Frames = {
		[1] = {
			["Num"] = 7,
			[1] = "MusicPlayerOptionsFrameShowFrameCheckButton",
			[2] = "MusicPlayerOptionsFrameLockCheckButton",
			[3] = "MusicPlayerOptionsFrame_Alpha_Slider",
			[4] = "MusicPlayerOptionsFrame_PlayerFrame_Scale_Slider",
			[5] = "MusicPlayerOptionsFrame_PlayerFrame_FrameWidth_Slider",
			[6] = "MusicPlayerOptionsFrameStatusBarCheckButton",
			[7] = "MusicPlayerOptionsFrame_FrameStrataDropDown",
		},
		[2] = {
			["Num"] = 10,
			[1] = "MusicPlayerOptionsFrame_WhenFinished_DropDown",
			[2] = "MusicPlayerOptionsFramePlayWhenFinishedCheckButton",
			[3] = "MusicPlayerOptionsFrameShowSpamCheckButton",
			[4] = "MusicPlayerOptionsFrame_SelectColor_Text",
			[5] = "MusicPlayerOptionsFrame_SelectColor_BG",
			[6] = "MusicPlayerOptionsFrame_SelectColor_Borders",
			[7] = "MusicPlayerOptionsFrame_SelectColor_Bars",
			[8] = "MusicPlayerOptionsFrame_PlaylistLocDropDown",
			[9] = "MusicPlayer_Tab2_1_1_HorizontalBarLeft",
			[10] = "MusicPlayer_Tab2_1_2_HorizontalBarLeft",
		},
		[3] = {
			["Num"] = 1,
			[1] = "MusicPlayerOptionsFrame_PlaylistSortFrame",
		},
	}
			--[4] = "MusicPlayerOptionsFrame_MasterVolume_Slider",
			--[5] = "MusicPlayerOptionsFrame_MusicVolume_Slider",
	local ID = this:GetID();
	if (ID == nil) or (not ID) or (ID == 0) then
		ID = 1;
	end

	-- Resets clicked button - sort function
	MusicPlayer_SortedSongs_PressedButton = 0;

	PanelTemplates_Tab_OnClick(MusicPlayerOptionsFrame);
	PanelTemplates_SetTab(MusicPlayerOptionsFrame, ID);

	-- Hide all
	for i=1,3 do
		for num=1,MusicPlayerOptionsFrame_Frames[i]["Num"] do
			getglobal(MusicPlayerOptionsFrame_Frames[i][num]):Hide();
		end
	end

	-- Show the current tab's frames
	for num=1,MusicPlayerOptionsFrame_Frames[ID]["Num"] do
		getglobal(MusicPlayerOptionsFrame_Frames[ID][num]):Show();
	end
end

-----------------------------------------------------------------------

function MusicPlayerOptionsFrame_PlaylistSort_Update(selected)
	local offset;

	FauxScrollFrame_Update(MusicPlayerOptionsFrame_PlaylistSortFrame_List_ScrollFrame, MusicPlayer_GetSongs(), 10, 20);

	for button = 1,10 do
		offset = button + FauxScrollFrame_GetOffset(MusicPlayerOptionsFrame_PlaylistSortFrame_List_ScrollFrame);
		if (offset <= MusicPlayer_GetSongs()) then
			local texture = "MusicPlayerOptionsFrame_PlaylistSortFrame_Button"..button.."_ClickedTexture";
			if (selected == offset and MusicPlayer_SortedSongs_PressedButton == selected) then
				getglobal(texture):Show();
			else
				getglobal(texture):Hide();
			end

			local text = "MusicPlayerOptionsFrame_PlaylistSortFrame_Button"..button.."_Name";

			getglobal(text):SetText(MusicPlayerSortedSongs[offset]["Title"]);

			getglobal("MusicPlayerPlaylist_Button"..button):Show();
		else
			getglobal("MusicPlayerPlaylist_Button"..button):Hide();
		end


	end
end

MusicPlayer_SortedSongs_PressedButton = 0;

function MusicPlayerOptionsFrame_SortPlaylistButton_OnClick()
	local ID = this:GetID();
	local offset = FauxScrollFrame_GetOffset(MusicPlayerOptionsFrame_PlaylistSortFrame_List_ScrollFrame);
	local song = ID + offset;

	MusicPlayerStop();

	if (MusicPlayer_SortedSongs_PressedButton == 0) then
		MusicPlayer_SortedSongs_PressedButton = song;
	else
		local table = MusicPlayerSortedSongs[song];
		MusicPlayerSortedSongs[song] = MusicPlayerSortedSongs[MusicPlayer_SortedSongs_PressedButton];
		MusicPlayerSortedSongs[MusicPlayer_SortedSongs_PressedButton] = table;

		MusicPlayer_SortedSongs_PressedButton = 0;
	end

	MusicPlayerSongs = MusicPlayerSortedSongs;

	MusicPlayerOptionsFrame_PlaylistSort_Update(song);
	MusicPlayerPlaylistUpdate();
end


------------------------ HELP frame functions -------------------------

function MusicPlayerOptionsFrame_HelpTab_OnClick()

	-- Check if the checkbutton is checked or not
	if (this:GetChecked()) then
		PlaySound("igMainMenuOptionCheckBoxOff");
		MP_HelpTabNotChecked = false;
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
		MP_HelpTabNotChecked = true;
	end
	
	-- Get the ID of the checkbutton
	local checkButtonID = this:GetID();

	if (checkButtonID == 1) then
		MusicPlayerHelpFrame_Button_Slash:SetChecked(false);
		MusicPlayerHelpFrame_Button_Options:SetChecked(false);
		MusicPlayerHelpFrame_Button_Advanced:SetChecked(false);
	elseif (checkButtonID == 2) then
		MusicPlayerHelpFrame_Button_AddSongs:SetChecked(false);
		MusicPlayerHelpFrame_Button_Options:SetChecked(false);
		MusicPlayerHelpFrame_Button_Advanced:SetChecked(false);
	elseif (checkButtonID == 3) then
		MusicPlayerHelpFrame_Button_Slash:SetChecked(false);
		MusicPlayerHelpFrame_Button_AddSongs:SetChecked(false);
		MusicPlayerHelpFrame_Button_Advanced:SetChecked(false);
	elseif (checkButtonID == 4) then
		MusicPlayerHelpFrame_Button_Slash:SetChecked(false);
		MusicPlayerHelpFrame_Button_AddSongs:SetChecked(false);
		MusicPlayerHelpFrame_Button_Options:SetChecked(false);
	end

	HelpFrameMainTab = checkButtonID;
	if (MP_HelpTabNotChecked == true) then
		HelpFrameMainTab = 0;
	end


	-- Update the display
	MusicPlayerHelpFrame_Update();

end


function MusicPlayerOptionsFrame_HelpTab_Lesser_OnClick()
	
	-- Get the ID of the button
	local ButtonID = this:GetID();
		
	HelpFrameLesserTab = ButtonID;

	-- Update the display
	MusicPlayerHelpFrame_Update();

end

function MusicPlayerHelpFrame_Update()

	if (not HelpFrameMainTab) then
		HelpFrameMainTab = 0;
	end

	MusicPlayerHelpFrameTab1:Hide();
	MusicPlayerHelpFrameTab2:Hide();
	MusicPlayerHelpFrameTab3:Hide();

	if (HelpFrameMainTab == 0) then
		MUSICPLAYER_HELPPANEL_DESC = MUSICPLAYER_HELPPANEL_INTRO;
	elseif (HelpFrameMainTab == 1) then
		if ((not HelpFrameLesserTab) or HelpFrameLesserTab == 3) then
			HelpFrameLesserTab = 1;
		end

		MusicPlayerHelpFrameTab1Text:SetText(MUSICPLAYER_HELP_TAB1_SONGS);
		MusicPlayerHelpFrameTab2Text:SetText(MUSICPLAYER_HELP_TAB2_SONGS);

		MUSICPLAYER_HELPPANEL_DESC = getglobal("MUSICPLAYER_HELPPANEL_ADDSONGS"..HelpFrameLesserTab);

		MusicPlayerHelpFrameTab1:Show();
		MusicPlayerHelpFrameTab2:Show();

	elseif (HelpFrameMainTab == 2) then
		MUSICPLAYER_HELPPANEL_DESC = MUSICPLAYER_HELPPANEL_SLASH;
	elseif (HelpFrameMainTab == 3 or HelpFrameMainTab == 4) then
		if ((not HelpFrameLesserTab) or (HelpFrameMainTab == 4 and HelpFrameLesserTab == 3)) then
			HelpFrameLesserTab = 1;
		end

		if (HelpFrameMainTab == 3) then
			MusicPlayerHelpFrameTab1Text:SetText(MUSICPLAYER_HELP_TAB1_OPTIONS);
			MusicPlayerHelpFrameTab2Text:SetText(MUSICPLAYER_HELP_TAB2_OPTIONS);
			MusicPlayerHelpFrameTab3Text:SetText(MUSICPLAYER_HELP_TAB3_OPTIONS);

			MUSICPLAYER_HELPPANEL_DESC = getglobal("MUSICPLAYER_HELPPANEL_OPTIONS"..HelpFrameLesserTab);
		elseif (HelpFrameMainTab == 4) then
			MusicPlayerHelpFrameTab1Text:SetText(MUSICPLAYER_HELP_TAB1_ADVANCED);
			MusicPlayerHelpFrameTab2Text:SetText(MUSICPLAYER_HELP_TAB2_ADVANCED);

			MUSICPLAYER_HELPPANEL_DESC = getglobal("MUSICPLAYER_HELPPANEL_ADVANCED"..HelpFrameLesserTab);
		end

		MusicPlayerHelpFrameTab1:Show();
		MusicPlayerHelpFrameTab2:Show();
		if (HelpFrameMainTab == 3) then
			MusicPlayerHelpFrameTab3:Show();
		end
	end

	PanelTemplates_Tab_OnClick(MusicPlayerHelpFrame);
	PanelTemplates_SetTab(MusicPlayerHelpFrame, HelpFrameLesserTab);

	MusicPlayerFrameHelp_Text:SetText("|c00FFFFFF"..MUSICPLAYER_HELPPANEL_DESC.."|r");
	MusicPlayerHelpFrameDescFrameScrollFrame:UpdateScrollChildRect();
end

----------------------------------------------------------------------------


function MusicPlayer_ColorWheel()
	local button = this;
	local color1 = MusicPlayerFrameOptions.Color[button:GetID()][1];
	local color2 = MusicPlayerFrameOptions.Color[button:GetID()][2];
	local color3 = MusicPlayerFrameOptions.Color[button:GetID()][3];
	ColorPickerFrame.func = function() MusicPlayer_SetColor(button) end;
	ColorPickerFrame:SetColorRGB(MusicPlayerFrameOptions.Color[button:GetID()][1], MusicPlayerFrameOptions.Color[button:GetID()][2], MusicPlayerFrameOptions.Color[button:GetID()][3]);
	ColorPickerFrame.cancelFunc = function() MusicPlayer_SetColor(button, color1, color2, color3) end;
	ColorPickerFrame:ClearAllPoints();
	ColorPickerFrame:SetPoint("CENTER", "UIParent");
	ColorPickerFrame:Show();
end

function MusicPlayer_SetColor(button, r, g, b)
	if (not r) then
		local r,g,b = ColorPickerFrame:GetColorRGB();
		MusicPlayer_SetColorSub(button, r, g, b);
	else
		MusicPlayer_SetColorSub(button, r, g, b)
	end
end

function MusicPlayer_SetColorSub(button, r, g, b)
	local n = button:GetID();
	local selected;

	if (n == 1) then
		selected = "MusicPlayerOptionsFrame_SelectColor_Text";
	elseif (n == 2) then
		selected = "MusicPlayerOptionsFrame_SelectColor_BG";
	elseif (n == 3) then
		selected = "MusicPlayerOptionsFrame_SelectColor_Borders";
	elseif (n == 4) then
		selected = "MusicPlayerOptionsFrame_SelectColor_Bars";
	end

	getglobal(selected.."NormalTexture"):SetVertexColor(r, g, b);

	MusicPlayerFrameOptions.Color[n][1] = r;
	MusicPlayerFrameOptions.Color[n][2] = g;
	MusicPlayerFrameOptions.Color[n][3] = b;

	MusicPlayerFrame_Update();
end


